Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 947049 (qxkb) - Review Request: qxkb - Qt-based keyboard layout switcher
Summary: Review Request: qxkb - Qt-based keyboard layout switcher
Keywords:
Status: CLOSED RAWHIDE
Alias: qxkb
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brendan Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Trivial
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2013-04-01 11:13 UTC by Eugene A. Pivnev
Modified: 2014-11-07 16:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-07 16:25:55 UTC
brendan.jones.it: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Eugene A. Pivnev 2013-04-01 11:13:36 UTC
Spec URL: http://tieugene.fedorapeople.org/rpms/qxkb/qxkb.spec
SRPM URL: http://tieugene.fedorapeople.org/rpms/qxkb/qxkb-0.4.6-1.fc18.src.rpm
Description: The keypad switch written on Qt4.
Uses setxkbmap.
The interface repeats kxkb.
Can use svg icon for indicate language layer.

Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5193703
http://koji.fedoraproject.org/koji/taskinfo?taskID=5193722
http://koji.fedoraproject.org/koji/taskinfo?taskID=5193746
http://koji.fedoraproject.org/koji/taskinfo?taskID=5193764

rpmlint:
bash-4.2$ rpmlint ~/rpmbuild/SPECS/qxkb.spec ~/rpmbuild/SRPMS/qxkb-0.4.6-1.fc18.src.rpm ~/rpmbuild/RPMS/i686/qxkb-0.4.6-1.fc18.i686.rpm 
/mnt/shares/home/eugene/rpmbuild/SPECS/qxkb.spec: W: invalid-url Source0: http://qxkb.googlecode.com/files/qxkb-0.4.6.tar.bz2 HTTP Error 404: Not Found
qxkb.src: W: spelling-error %description -l en_US setxkbmap -> setback
qxkb.src: W: spelling-error %description -l en_US kxkb -> kb
qxkb.src: W: spelling-error %description -l en_US svg -> avg, sag, VG
qxkb.src: W: invalid-url Source0: http://qxkb.googlecode.com/files/qxkb-0.4.6.tar.bz2 HTTP Error 404: Not Found
qxkb.i686: W: spelling-error %description -l en_US setxkbmap -> setback
qxkb.i686: W: spelling-error %description -l en_US kxkb -> kb
qxkb.i686: W: spelling-error %description -l en_US svg -> avg, sag, VG
qxkb.i686: W: no-manual-page-for-binary qxkb
2 packages and 1 specfiles checked; 0 errors, 9 warnings.

Fedora Account System Username: tieugene

Comment 1 Brendan Jones 2013-04-22 21:13:27 UTC
As with qtermwidget you are allowing the use of O3 optimization:

%build
mkdir build
cd build
%cmake ..
make %{?_smp_mflags}

%install

Apart from that looks really good. I'll approve on the proviso you fix the above. This package is APPROVED


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[-]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: %build honors applicable compiler flags or justifies otherwise.
### See above
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)". 1 files have unknown license. Detailed output of
     licensecheck in /home/bsjones/rpmbuild/WK/review-qxkb/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked when required
     Note: desktop file(s) in qxkb
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qxkb-0.4.6-1.fc19.x86_64.rpm
qxkb.x86_64: W: spelling-error %description -l en_US setxkbmap -> setback
qxkb.x86_64: W: spelling-error %description -l en_US kxkb -> kb
qxkb.x86_64: W: spelling-error %description -l en_US svg -> avg, sag, VG
qxkb.x86_64: W: no-manual-page-for-binary qxkb
1 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint qxkb
qxkb.x86_64: W: spelling-error %description -l en_US setxkbmap -> setback
qxkb.x86_64: W: spelling-error %description -l en_US kxkb -> kb
qxkb.x86_64: W: spelling-error %description -l en_US svg -> avg, sag, VG
qxkb.x86_64: W: no-manual-page-for-binary qxkb
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
qxkb (rpmlib, GLIBC filtered):
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libxkbfile.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
qxkb:
    qxkb
    qxkb(x86-64)



MD5-sum check
-------------
http://qxkb.googlecode.com/files/qxkb-0.4.6.tar.bz2 :
  CHECKSUM(SHA256) this package     : d41f09913ebf89c94ac75a7cd7dd08344485506f1c50a469e076a214952fee79
  CHECKSUM(SHA256) upstream package : d41f09913ebf89c94ac75a7cd7dd08344485506f1c50a469e076a214952fee79


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -n qxkb -m fedora-rawhide-x86_64

Comment 2 Eugene A. Pivnev 2013-04-23 09:38:48 UTC
(In reply to comment #1)
> As with qtermwidget you are allowing the use of O3 optimization:
> %cmake ..

As in qtermwidget I simply remove any cmake flags.
qxkb not set any -O flag itself.
Problem started many packages ago: https://bugzilla.redhat.com/show_bug.cgi?id=929256
I really don't know - what to do with this %cmake feature/bug.

Comment 3 Eugene A. Pivnev 2013-04-23 15:53:41 UTC
(In reply to comment #1)
> As with qtermwidget you are allowing the use of O3 optimization:
> 
> %cmake ..
> make %{?_smp_mflags}

I cannot reproduce -O3 in my host (f18).

Comment 4 Brendan Jones 2013-04-23 16:01:05 UTC
Also F18:

/usr/lib64/ccache/c++   -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NO_DEBUG -DQT_SVG_LIB -DQXKB_PID_PATH=\"/tmp\" -DQXKB_TRANSLATION_PATH=\"/usr/share/qxkb/i18n\" -DQXKB_VERSION=\"0.4.6\" -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic  -O3 -DNDEBUG -I/usr/include/QtSvg -I/usr/include/QtGui -I/usr/include/QtCore -I/usr/include/QtDesigner -I/usr/include/QtDeclarative -I/usr/include/QtScriptTools -I/usr/include/QtDBus -I/usr/include/QtXml -I/usr/include/QtSql -I/usr/include/QtOpenGL -I/usr/include/QtMultimedia -I/usr/include/QtNetwork -I/usr/include/phonon -I/usr/include/QtXmlPatterns -I/usr/include/QtWebKit -I/usr/include/QtHelp -I/usr/include/QtUiTools -I/usr/include/QtTest -I/usr/include/QtScript -I/usr/include/Qt3Support -I/usr/lib64/qt4/mkspecs/default -I/home/bsjones/rpmbuild/BUILD/qxkb-0.4.6/build -I/home/bsjones/rpmbuild/BUILD/qxkb-0.4.6/src    -o CMakeFiles/qxkb.dir/src/qxkb.cpp.o -c /home/bsjones/rpmbuild/BUILD/qxkb-0.4.6/src/qxkb.cpp

Just remove the -DCMAKE_BUILD_TYPE parm

Comment 5 Eugene A. Pivnev 2013-04-23 16:09:34 UTC
(In reply to comment #4)
> Also F18:
Ooops... forgot to upload, sorry!
Fixed.

Spec URL: http://tieugene.fedorapeople.org/rpms/qxkb/qxkb.spec
SRPM URL: http://tieugene.fedorapeople.org/rpms/qxkb/qxkb-0.4.6-2.fc18.src.rpm

Comment 6 Eugene A. Pivnev 2013-04-23 16:14:36 UTC
New Package SCM Request
=======================
Package Name: qxkb
Short Description: The keypad switch written on Qt4.
Owners: tieugene
Branches: f17 f18 f19 el6
InitialCC:

Comment 7 Gwyn Ciesla 2013-04-23 16:23:18 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2013-04-23 21:28:01 UTC
qxkb-0.4.6-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qxkb-0.4.6-2.el6

Comment 9 Fedora Update System 2013-04-23 21:29:51 UTC
qxkb-0.4.6-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qxkb-0.4.6-2.fc17

Comment 10 Fedora Update System 2013-04-23 21:31:13 UTC
qxkb-0.4.6-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qxkb-0.4.6-2.fc18

Comment 11 Fedora Update System 2013-04-23 21:33:02 UTC
qxkb-0.4.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qxkb-0.4.6-2.fc19

Comment 12 Fedora Update System 2013-04-24 16:30:59 UTC
qxkb-0.4.6-2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 13 Fedora Update System 2013-05-05 02:22:45 UTC
qxkb-0.4.6-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 14 Fedora Update System 2013-05-05 02:28:07 UTC
qxkb-0.4.6-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 15 Fedora Update System 2013-05-05 03:25:45 UTC
qxkb-0.4.6-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 16 Eugene A. Pivnev 2014-09-26 10:59:08 UTC
New Package SCM Request
=======================
Package Name: qxkb
Short Description: The keypad switch written on Qt4.
Owners: tieugene
Branches: epel7

Comment 17 Gwyn Ciesla 2014-09-26 12:07:30 UTC
Git done (by process-git-requests).

Comment 18 Rex Dieter 2014-11-07 16:25:55 UTC
closing (seems the updates from 2013 never closed this)


Note You need to log in before you can comment on or make changes to this bug.